'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const core = require('./core-703347ed.js');

const MyBackgroundVideoComponent = class {
    constructor(hostRef) {
        core.registerInstance(this, hostRef);
        /**
         * To mute the video
         */
        this.muted = true;
    }
    //@Element() private videoElement: HTMLVideoElement; // pointer to the created video element
    componentDidLoad() {
    }
    render() {
        return core.h("video", { autoplay: true, loop: true, playsinline: true, preload: "auto", muted: this.muted, src: this.src, poster: this.poster });
    }
    static get style() { return ""; }
};

exports.metodo_background_video_component = MyBackgroundVideoComponent;
