import { r as registerInstance, h } from './core-746b1e5c.js';
var MyBackgroundVideoComponent = /** @class */ (function () {
    function MyBackgroundVideoComponent(hostRef) {
        registerInstance(this, hostRef);
        /**
         * To mute the video
         */
        this.muted = true;
    }
    //@Element() private videoElement: HTMLVideoElement; // pointer to the created video element
    MyBackgroundVideoComponent.prototype.componentDidLoad = function () {
    };
    MyBackgroundVideoComponent.prototype.render = function () {
        return h("video", { autoplay: true, loop: true, playsinline: true, preload: "auto", muted: this.muted, src: this.src, poster: this.poster });
    };
    Object.defineProperty(MyBackgroundVideoComponent, "style", {
        get: function () { return ""; },
        enumerable: true,
        configurable: true
    });
    return MyBackgroundVideoComponent;
}());
export { MyBackgroundVideoComponent as metodo_background_video_component };
