import { r as registerInstance, h } from './core-746b1e5c.js';

const MyBackgroundVideoComponent = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        /**
         * To mute the video
         */
        this.muted = true;
    }
    //@Element() private videoElement: HTMLVideoElement; // pointer to the created video element
    componentDidLoad() {
    }
    render() {
        return h("video", { autoplay: true, loop: true, playsinline: true, preload: "auto", muted: this.muted, src: this.src, poster: this.poster });
    }
    static get style() { return ""; }
};

export { MyBackgroundVideoComponent as metodo_background_video_component };
